<?php
Header("Content-type: text/plain; charset=utf-8");

// nastavení vlastní obsluhy chyb
libxml_use_internal_errors(true);

// vytvoření nového DOM dokumentu
$dom = new DOMDocument();

// pokus o načtení dokumentu
if (!$dom->load("../syntaxe/dokument-s-chybou.xml"))
{
  echo "Při načítání dokumentu byly nalezeny následující chyby:\n";

  // zjištění všech chyb
  $errors = libxml_get_errors();

  // postupné zpracování všech chyb
  foreach ($errors as $error)
  {
    // u každé chyby vypíšeme jméno souboru, řádek, sloupec a chybové hlášení
    echo $error->file . ":" . $error->line . ":" . $error->column . ":" . $error->message . "\n";
  }
  
  // vyčištění chyb
  libxml_clear_errors();
  exit;
}

?>