<?php
Header("Content-type: text/plain; charset=utf-8");

// načtení XML dokumentu do paměti do DOM stromu
$doc = new DOMDocument();
$doc->load("../schema/standardni-hodnoty.xml", LIBXML_DTDATTR); 

foreach ($doc->documentElement->getElementsByTagName("*")
	 as $element)
{
  $atributy = $element->attributes;
  if ($atributy->length > 0)
  {
    echo "Atributy elementu {$element->nodeName}: ";
    for ($i=0; $i<$atributy->length; $i++)
    {
      $atribut = $atributy->item($i);
      echo $atribut->name . "=" . $atribut->value; 
      if ($atribut->specified) 
	echo " (byl zadán přímo v dokumentu)";
      else
	echo " (atribut byl doplněn z DTD)";
      echo "; ";
    }
    echo "\n";
  }
}

?>
