<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01//EN'>
<html lang="cs">
  <head>
    <meta http-equiv="content-type" content="text/html;charset=utf-8">
    <title>Přehled zpráv</title>
  </head>
  <body>
<?php 

// vytvoření objektu pro dokument XML
$doc = new DomDocument();

// načtení dokumentu do paměti do DOM stromu
$doc->load("../data/luparss.xml");

?>

    <h1>Přehled aktuálních zpráv ze serveru 
      <a href="<?php echo htmlspecialchars($doc->getElementsByTagName("link")->item(0)->textContent, ENT_QUOTES)?>"><?php echo htmlspecialchars($doc->getElementsByTagName("title")->item(0)->textContent)?></a>
    </h1>

    <dl>
<?php

// výběr všech elementů, které se jmenují item
$polozky = $doc->getElementsByTagName("item");

// postupné zpracování elementů item
foreach($polozky as $polozka)
{
  echo "<dt><a href='" . htmlspecialchars($polozka->getElementsByTagName("link")->item(0)->textContent, ENT_QUOTES) . "'>" . htmlspecialchars(($polozka->getElementsByTagName("title")->item(0)->textContent)) . "</a></dt>\n";
  echo "<dd>" . htmlspecialchars(($polozka->getElementsByTagName("description")->item(0)->textContent)) . "</dd>\n";
}


?>
    </dl>
  </body>
</html>