<?php

$client = new SoapClient("http://webservices.amazon.com/AWSECommerceService/AWSECommerceService.wsdl",
			 array("trace" => true));

$params = new stdClass();
$params->SubscriptionId = "1JMSQ8X5M67JBHADYR82";
$params->Request = new stdClass();
$params->Request->SearchIndex = "Music";
$params->Request->Artist = "Chick Corea";


$result = $client->ItemSearch($params);

echo "Doba obsluhy požadavku: " . $result->OperationRequest->RequestProcessingTime . " s<br>\n";

foreach ($result->Items->Item as $item)
{
  echo "<a href='" . $item->DetailPageURL . "'>";
  if (is_array($item->ItemAttributes->Artist))
    echo join(", ", $item->ItemAttributes->Artist);
  else
    echo $item->ItemAttributes->Artist;

  echo ": ";

  echo $item->ItemAttributes->Title . "</a><br>\n";
}

echo "<pre>";
echo $client->__getLastRequest();
echo "<hr>";
echo $client->__getLastResponse();


?>