<?php

// načtení dokumentu XML
$xml = new DomDocument();
$xml->load("../data/katalog.xml", 
	   LIBXML_NOENT|LIBXML_DTDLOAD|LIBXML_DTDATTR);

// načtení stylu XSLT
$xsl = new DomDocument();
$xsl->load("katalog-interaktivni.xsl", 
	   LIBXML_NOENT|LIBXML_DTDLOAD|LIBXML_DTDATTR);

// vytvoření procesoru XSLT
$proc = new xsltprocessor();
$proc->importStylesheet($xsl);

// předání parametrů požadavku do parametrů stylu XSLT
if (IsSet($_GET["s"]))
  $proc->setParameter("", "raditPodle", $_GET["s"]);

if (IsSet($_GET["t"]))
  $proc->setParameter("", "typ", $_GET["t"]);
  
if (IsSet($_GET["o"]))
  $proc->setParameter("", "smer", $_GET["o"]);

// provedení transformace a vypsání výsledku
echo $proc->transformToXML($xml);

?>