<?php

// detekce prohlížeče
if (strstr($_SERVER["HTTP_ACCEPT"], "text/vnd.wap.wml"))
{
  Header("Content-type: text/vnd.wap.wml; charset=utf-8");
  $xslFilename = "./vina_wml.xsl";
}
else
{
  $xslFilename = "./vina_html.xsl";
}

// načtení dokumentu XML
$xml = new DomDocument();
$xml->load("vina.xml");

// načtení stylu XSLT
$xsl = new DomDocument();
$xsl->load($xslFilename);

// vytvoření procesoru XSLT
$proc = new xsltprocessor();
$proc->importStylesheet($xsl);

// provedení transformace a vypsání výsledku
echo $proc->transformToXML($xml);

?>