<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

<xsl:output method="html" encoding="utf-8"
            doctype-public="-//W3C//DTD HTML 4.01//EN"/>

<xsl:template match="channel">
  <html lang="cs">
    <head>
      <title>Přehled zpráv</title>
    </head>
    <body>
      <h1>Přehled aktuálních zpráv ze serveru
          <a href="{link}"><xsl:value-of select="title"/></a></h1>

      <dl>
        <xsl:for-each select="item">
          <dt><a href="{link}"><xsl:value-of select="title"/></a></dt>
          <dd><xsl:value-of select="description"/></dd>
        </xsl:for-each>
      </dl>

    </body>
  </html>
</xsl:template>

</xsl:stylesheet>