<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:atom="http://www.w3.org/2005/Atom"
                xmlns="http://www.w3.org/1999/xhtml"
                exclude-result-prefixes="atom"
                version="1.0">

<xsl:output method="xml" encoding="utf-8" indent="yes"/>
  
<xsl:template match="/">
  <html>
    <head>
      <title><xsl:value-of select="/atom:feed/atom:title"/></title>
    </head>
    <body>
      <h1><xsl:value-of select="/atom:feed/atom:title"/></h1>

      <xsl:for-each select="/atom:feed/atom:entry">
        <a href="{atom:link[not(@rel) or @rel='alternate'][1]/@href}">
          <xsl:value-of select="atom:title"/>
        </a>
        <br/>
      </xsl:for-each>
    </body>
  </html>    
</xsl:template>

</xsl:stylesheet>